package cn.stylefeng.workflow.log.api;

import cn.stylefeng.workflow.api.enums.FlowLogLevelEnum;
import cn.stylefeng.workflow.api.pojo.InstanceContext;

public interface WorkflowLogApi {

    void logRecord(InstanceContext instanceContext, Long nodeId, String message, Boolean successFlag);

    void logSuccess(InstanceContext instanceContext, Long nodeId, String message);

    void logFail(InstanceContext instanceContext, Long nodeId, String message);

    void createNodeLog(InstanceContext instanceContext, Long nodeId, FlowLogLevelEnum flowLogLevelEnum, Long startMillSeconds,
                       Long endMilSeconds, String message, Boolean successFlag);

}
